Package net.dona.doip.util

## Class GsonUtility.StreamGsonTypeAdapter<T>

- java.lang.Object
- - com.google.gson.TypeAdapter<java.util.stream.Stream<T>>
  - - net.dona.doip.util.GsonUtility.StreamGsonTypeAdapter<T>

- Enclosing class:
    GsonUtility

      public static class GsonUtility.StreamGsonTypeAdapter<T>
      extends com.google.gson.TypeAdapter<java.util.stream.Stream<T>>

  Serializing `Stream`s of objects in a streaming fashion, which will be useful for outputting extremely large search results.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamGsonTypeAdapter​(com.google.gson.TypeAdapter<T> elementAdapter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.stream.Stream<T>` | `read​(com.google.gson.stream.JsonReader reader)` |
    `void` | `write​(com.google.gson.stream.JsonWriter writer, java.util.stream.Stream<T> stream)` |

    - ### Methods inherited from class com.google.gson.TypeAdapter

      `fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamGsonTypeAdapter

          public StreamGsonTypeAdapter​(com.google.gson.TypeAdapter<T> elementAdapter)

  - ### Method Detail

    - #### read

          public java.util.stream.Stream<T> read​(com.google.gson.stream.JsonReader reader)
                                          throws java.io.IOException

      Specified by:
        `read` in class `com.google.gson.TypeAdapter<java.util.stream.Stream<T>>`
      Throws:
        `java.io.IOException`

    - #### write

          public void write​(com.google.gson.stream.JsonWriter writer,
                            java.util.stream.Stream<T> stream)
                     throws java.io.IOException

      Specified by:
        `write` in class `com.google.gson.TypeAdapter<java.util.stream.Stream<T>>`
      Throws:
        `java.io.IOException`